// TcpClientDlg.h : header file
//
//{{AFX_INCLUDES()
#include "xsockclient.h"
//}}AFX_INCLUDES

#if !defined(AFX_TCPCLIENTDLG_H__8D06B6E9_E620_11D3_B4B0_00C04F2B300E__INCLUDED_)
#define AFX_TCPCLIENTDLG_H__8D06B6E9_E620_11D3_B4B0_00C04F2B300E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CTcpClientDlg dialog

class CTcpClientDlg : public CDialog
{
// Construction
public:
	CTcpClientDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CTcpClientDlg)
	enum { IDD = IDD_TCPCLIENT_DIALOG };
	CString	m_HostName;
	long	m_Port;
	CString	m_Message;
	CString	m_ReceivedData;
	long	m_ReceivedBuffSize;
	CXSockClient	m_Client;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTcpClientDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CTcpClientDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnOnReceiveXsockclientctrl1(LPCTSTR Data, long nLen);
	afx_msg void OnOnConnectXsockclientctrl1();
	afx_msg void OnOnCloseXsockclientctrl1();
	afx_msg void OnOnSendXsockclientctrl1();
	afx_msg void OnClose();
	afx_msg void OnConnect();
	afx_msg void OnKillfocusBuffsize();
	afx_msg void OnOnErrorXsockclientctrl1(LPCTSTR lpErrorDescription);
	afx_msg void OnSend();
	DECLARE_EVENTSINK_MAP()
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TCPCLIENTDLG_H__8D06B6E9_E620_11D3_B4B0_00C04F2B300E__INCLUDED_)
